package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcTenderbidfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.GcTenderbidfileMapper;
import com.trs.ggzyexchange.service.GcTenderbidfileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 招标文件/招标文件澄清与修改 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Service
public class GcTenderbidfileServiceImpl extends ServiceImpl<GcTenderbidfileMapper, GcTenderbidfile> implements GcTenderbidfileService {

    @Autowired
    private GcTenderbidfileMapper gcTenderbidfileMapper;

    @Override
    public IPage<TenderDetailsVo> queryGcTenderbidfileAllList(Page<GcTenderbidfile> page) {
        return gcTenderbidfileMapper.queryGcTenderbidfileAllList(page);
    }

    @Override
    public Long maxDataTimeStamp() {
        Long aLong = gcTenderbidfileMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }

    @Override
    public IPage<TenderDetailsVo> queryGcTenderbidfileAllListByTime(Page<GcTenderbidfile> page, Long time) {
        return gcTenderbidfileMapper.queryGcTenderbidfileAllListByTime(page,time);
    }
}
